Index: /anuga_work/production/perth/Arc_asc2raster_GDA94z50.py
===================================================================
--- /anuga_work/production/perth/Arc_asc2raster_GDA94z50.py	(revision 6066)
+++ /anuga_work/production/perth/Arc_asc2raster_GDA94z50.py	(revision 6067)
@@ -25,14 +25,17 @@
 output_dir = "anuga\\outputs\\"
 
+##time_dir1 = '20081209_155431_run_final_0_27255_250m_none_lfountai'
+##time_dir2 = '20081210_100528_run_final_0_68693_250m_none_kvanputt'
+##time_dirs = [time_dir1, time_dir2]
 
-time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
+##time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
 ##time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
-##time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
-##time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
+time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
+time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
 ##time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'
 ##time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'
 
 
-time_dirs = [time_dir1]#, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir3, time_dir4] #, time_dir3, time_dir4, time_dir5, time_dir6]
 
 for time_dir in time_dirs:
@@ -41,8 +44,10 @@
     folder =  scenario_dir + output_dir + time_dir + '\\'
     raster_gbd = folder + 'raster.gdb'
-    land = scenario_dir + "map_work\\Perth.gdb\\poly_all_cut"
+    contour = raster_gbd + '\\contour_dep'
+    land = scenario_dir + "map_work\\Perth.gdb\\Outlines\\initial_conditions_rottnest"
+    ocean = scenario_dir + "map_work\\Perth.gdb\\Outlines\\initial_conditions_ocean1"
     
-    # Process: Create File GDB...
-    #gp.CreateFileGDB_management(folder, "raster")
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -54,8 +59,9 @@
                  ('_', ''),('Geordie', 'Geo'),('Sorrento', 'Sor'), ('max','M_'),
                  ('Fremantle', 'Fre'),('Rockingham', 'Roc'),('depth','_dep_'),
-                 ('speed', '_spe_'), ('elevation', '_ele_'), ('stage','_sta_'))
+                 ('speed', '_spe_'), ('elevation', '_ele_'), ('stage','_stage'))
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*elevation.asc')
+    input_ascii = glob.glob(folder + 'perth_Sorrento*speed_max.asc')
+    print time_dir
 
     for infile in input_ascii:
@@ -69,6 +75,4 @@
         generate_filename.append(output_DEM)
         print 'Output DEM ',output_DEM
-        output_extract = output_DEM + 'E'
-        print 'Output Extract ',output_extract
         
         print 'Process: ASCII to Raster'
@@ -80,6 +84,10 @@
                                                    ",PARAMETER['Latitude_Of_Origin',0.0],UNIT['Meter',1.0]]")
 
+    
+##        output_extract = output_DEM + 'E'
+##        print 'Output Extract ',output_extract
+##    
 ##        print 'Process: Extract by Mask'
 ##        gp.ExtractByMask_sa(output_DEM, land, output_extract)
-
-
+##
+##       
Index: /anuga_work/production/perth/export_results_max.py
===================================================================
--- /anuga_work/production/perth/export_results_max.py	(revision 6066)
+++ /anuga_work/production/perth/export_results_max.py	(revision 6067)
@@ -20,26 +20,28 @@
 directory = project.output_dir
 
-#time_dir1 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'
-#time_dir1 = '20080924_123626_run_final_0_27283_250m_all_kvanputt' # This uses the 250m bathymetry with all interior polygons
-#time_dir2 = '20080912_154716_run_final_0_27283_alpha0.1_kvanputt' # This uses original bathyemetry data
-#time_dir3 = '20080924_123601_run_final_0_27283_250m_none_kvanputt' # This uses the 250m bathymetry without any interior polygons
-#time_dirs = [time_dir1] #, time_dir2]#, time_dir3]
+##time_dir1 = '20081209_155431_run_final_0_27255_250m_none_lfountai'
+##time_dir2 = '20081210_100528_run_final_0_68693_250m_none_kvanputt'
 
-time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
-##time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
-##time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
+###time_dir1 = '20080924_123626_run_final_0_27283_250m_all_kvanputt' # This uses the 250m bathymetry with all interior polygons
+###time_dir2 = '20080912_154716_run_final_0_27283_alpha0.1_kvanputt' # This uses original bathyemetry data
+###time_dir3 = '20080924_123601_run_final_0_27283_250m_none_kvanputt' # This uses the 250m bathymetry without any interior polygons
+##time_dirs = [time_dir1, time_dir2]#, time_dir3]
+
+##time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
+time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
+time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
 ##time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
 ##time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'
 ##time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'
-
-time_dirs = [time_dir1]#, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+##
+time_dirs = [time_dir2, time_dir3] #, time_dir3, time_dir4, time_dir5, time_dir6]
 
   
 
-cellsize = 20
-#cellsize = 250
+#cellsize = 5
+cellsize = 250
 
-#timestep = None    # None means no timestep!
-timestep = 0
+timestep = None    # None means no timestep!
+#timestep = 0
 
 ######
@@ -47,5 +49,5 @@
 ######
 
-#area = ['Perth'] #Rockingham', 'Sorrento', 'Fremantle','Geordie' ]  # strings must match keys in var_equations below
+#area = ['Sorrento', 'Geordie' ]  # strings must match keys in var_equations below
 area = ['All']      # 'All' means no special areas - the whole thing
 
@@ -61,5 +63,5 @@
 
 # one or more key strings from var_equations above
-var = ['elevation']
+var = ['stage']
 
 ######
@@ -91,8 +93,8 @@
 
             name1 = directory+time_dir+sep+project.scenario_name
-            #name2 = directory+time_dir+sep+project.scenario_name+'_time_39180_0'
-            #name3 = directory+time_dir+sep+project.scenario_name+'_time_78360_0'
+            name2 = directory+time_dir+sep+project.scenario_name+'_time_39900_0'
+            name3 = directory+time_dir+sep+project.scenario_name+'_time_79800_0'
 
-            names = [name1] #, name2, name3]
+            names = [name1, name2, name3]
       
             asc_name = []   
@@ -124,3 +126,3 @@
             print 'asc_name ', str(asc_name)
             
-            maxasc.MaxAsc(maxasc_outname, asc_name)
+            MaxAsc(maxasc_outname, asc_name)
Index: /anuga_work/production/perth/get_timeseries.py
===================================================================
--- /anuga_work/production/perth/get_timeseries.py	(revision 6066)
+++ /anuga_work/production/perth/get_timeseries.py	(revision 6067)
@@ -18,32 +18,33 @@
 directory = project.output_dir
 
-##time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
-##time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
-##time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
-##time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
-##time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'
-time_dir6 = '20081117_141914_run_final_0.6_27283_Rockingham_kvanputt'
+time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'+sep+'gauge'
+time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'+sep+'gauge'
+time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'+sep+'gauge'
+time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'+sep+'gauge'
+time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'+sep+'gauge'
+time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'+sep+'gauge'
 
-time_dirs = [time_dir6] #1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
 
 for time_dir in time_dirs:
+    name = directory+time_dir+sep+project.scenario_name
+    gauge = project.gauges_dir_name
+    sww2csv_gauges(name+'.sww',gauge,
+                   quantities = ['stage','speed','depth','elevation'],
+                   verbose=True)
+
     
-    name1 = directory+time_dir+sep+project.scenario_name 
-    name2 = directory+time_dir+sep+project.scenario_name+'_time_43380_0'
-    #name3 = directory+time_dir+sep+project.scenario_name+'_time_78360_0'
-
-    names = [name1, name2] #, name3]
-
-    for i, name in enumerate(names):
-        gauge = project.gauges_dir_name
-        out_name = 'gauge_%d_' % i
-        sww2csv_gauges(name+'.sww',gauge,out_name = out_name,
-                        quantities = ['stage','speed','depth','elevation'],
-                        verbose=True)
-##        for out_name in listdir(directory+time_dir):
-##            #total_filename = directory+time_dir+sep+'All_' + out_name
-##            if i == 0:
-##                
-##            else:
-##                system('cat %s %s > %s' %(,out_name,))
-##   
+##    name1 = directory+time_dir+sep+project.scenario_name 
+####    name2 = directory+time_dir+sep+project.scenario_name+'_time_43380_0'
+####    name3 = directory+time_dir+sep+project.scenario_name+'_time_78360_0'
+##
+##    names = [name1]#, name2, name3]
+##
+##    for i, name in enumerate(names):
+##        gauge = project.gauges_dir_name
+####        out_name = 'gauge_%d_' % i
+##        print name
+##        sww2csv_gauges(name+'.sww',gauge,#out_name = out_name,
+##                        quantities = ['stage','speed','depth','elevation'],
+##                        verbose=True)
+##
Index: /anuga_work/production/perth/project.py
===================================================================
--- /anuga_work/production/perth/project.py	(revision 6066)
+++ /anuga_work/production/perth/project.py	(revision 6067)
@@ -77,5 +77,5 @@
 # Important to distinguish each run - ensure str(user) is included!
 # Note, the user is free to include as many parameters as desired
-dir_comment='_'+setup+'_'+str(tide)+'_'+str(event_number)+'_'+ 'Rockingham_'+str(user)
+dir_comment='_'+setup+'_'+str(tide)+'_'+str(event_number)+'_'+ 'Rerun_'+str(user)
 
 #------------------------------------------------------------------------------
Index: /anuga_work/production/perth/run_building_inundation.py
===================================================================
--- /anuga_work/production/perth/run_building_inundation.py	(revision 6066)
+++ /anuga_work/production/perth/run_building_inundation.py	(revision 6067)
@@ -56,4 +56,6 @@
        newline = record[-8:]
        newline.insert(0,record[0])
+       newline.insert(1,record[1])
+       newline.insert(2,record[2])
        writer.writerow(newline)
        