Index: /anuga_core/documentation/user_manual/installgraphics/default.lic
===================================================================
--- /anuga_core/documentation/user_manual/installgraphics/default.lic	(revision 6135)
+++ /anuga_core/documentation/user_manual/installgraphics/default.lic	(revision 6135)
@@ -0,0 +1,116 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+  <ga_license_file>
+    <metadata>
+      <author>Ross Wilson</author>
+    </metadata>
+    <datafile>
+      <filename>winassoc1.png</filename>
+      <checksum>-1655879756</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winassoc2.png</filename>
+      <checksum>763155775</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winassoc3.png</filename>
+      <checksum>593714987</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winassoc4.png</filename>
+      <checksum>1675923775</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winassoc5.png</filename>
+      <checksum>810233350</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winassoc6.png</filename>
+      <checksum>-721309622</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winsetpath1.png</filename>
+      <checksum>-434520722</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winsetpath2.png</filename>
+      <checksum>-998208896</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winsetpath3.png</filename>
+      <checksum>-400730601</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winsetpath4.png</filename>
+      <checksum>353234471</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winsetpath5.png</filename>
+      <checksum>1150299793</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+    <datafile>
+      <filename>winsetpath6.png</filename>
+      <checksum>553145348</checksum>
+      <publishable>Yes</publishable>
+      <accountable>Ross Wilson</accountable>
+      <source>Generated by ANUGA development team</source>
+      <IP_owner>Geoscience Australia</IP_owner>
+      <IP_info>For use with Installation Guide</IP_info>
+    </datafile>
+
+  </ga_license_file>