Index: /anuga_core/source/anuga/lib/maxasc/perthAll_stage_250m.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/perthAll_stage_250m.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/perthAll_stage_250m.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>perthAll_stage_250m.asc</filename>
+    <checksum>1646268307</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/perthAll_stage_250m_all.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/perthAll_stage_250m_all.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/perthAll_stage_250m_all.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>perthAll_stage_250m_all.asc</filename>
+    <checksum>-144119310</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/perthAll_stage_original.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/perthAll_stage_original.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/perthAll_stage_original.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>perthAll_stage_original.asc</filename>
+    <checksum>-1913387559</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+  
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/test1.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/test1.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/test1.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>test1.asc</filename>
+    <checksum>-485379323</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/test1_bad_num_lines.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/test1_bad_num_lines.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/test1_bad_num_lines.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>test1_bad_num_lines.asc</filename>
+    <checksum>-963911721</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/test1_header_differs.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/test1_header_differs.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/test1_header_differs.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>test1_header_differs.asc</filename>
+    <checksum>506435569</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/test1_wrong_num_columns.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/test1_wrong_num_columns.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/test1_wrong_num_columns.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>test1_wrong_num_columns.asc</filename>
+    <checksum>189975811</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/test2.expected.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/test2.expected.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/test2.expected.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>test2.expected.asc</filename>
+    <checksum>-1336376197</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/test2.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/test2.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/test2.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>test2.asc</filename>
+    <checksum>1935708494</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/test3.expected.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/test3.expected.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/test3.expected.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>test3.expected.asc</filename>
+    <checksum>1195410975</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/lib/maxasc/test3.lic
===================================================================
--- /anuga_core/source/anuga/lib/maxasc/test3.lic	(revision 6137)
+++ /anuga_core/source/anuga/lib/maxasc/test3.lic	(revision 6137)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ross Wilson</author>
+  </metadata>
+  
+  <datafile>
+    <filename>test3.asc</filename>
+    <checksum>20548751</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ross Wilson</accountable>
+    <source>Generated by ANUGA development team</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test data file used by test_all.py</IP_info>    
+  </datafile>
+
+</ga_license_file>