Index: /anuga_core/source/anuga/coordinate_transforms/geo_reference.py
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/geo_reference.py	(revision 6148)
+++ /anuga_core/source/anuga/coordinate_transforms/geo_reference.py	(revision 6149)
@@ -8,8 +8,9 @@
 
 import types, sys
-from Numeric import array, Float, ArrayType, reshape, allclose
 from anuga.utilities.numerical_tools import ensure_numeric
 from anuga.utilities.anuga_exceptions import ANUGAError, TitleError, ParsingError, \
      ShapeError
+
+import Numeric as num
 
 
@@ -98,9 +99,9 @@
         
         # Fix some assertion failures
-        if type(self.zone) == ArrayType and self.zone.shape == ():
+        if type(self.zone) == num.ArrayType and self.zone.shape == ():
             self.zone = self.zone[0]
-        if type(self.xllcorner) == ArrayType and self.xllcorner.shape == ():
+        if type(self.xllcorner) == num.ArrayType and self.xllcorner.shape == ():
             self.xllcorner = self.xllcorner[0]
-        if type(self.yllcorner) == ArrayType and self.yllcorner.shape == ():
+        if type(self.yllcorner) == num.ArrayType and self.yllcorner.shape == ():
             self.yllcorner = self.yllcorner[0]
 
@@ -172,9 +173,9 @@
             
         # Fix some assertion failures
-        if(type(self.zone) == ArrayType and self.zone.shape == ()):
+        if(type(self.zone) == num.ArrayType and self.zone.shape == ()):
             self.zone = self.zone[0]
-        if type(self.xllcorner) == ArrayType and self.xllcorner.shape == ():
+        if type(self.xllcorner) == num.ArrayType and self.xllcorner.shape == ():
             self.xllcorner = self.xllcorner[0]
-        if type(self.yllcorner) == ArrayType and self.yllcorner.shape == ():
+        if type(self.yllcorner) == num.ArrayType and self.yllcorner.shape == ():
             self.yllcorner = self.yllcorner[0]
     
@@ -196,5 +197,5 @@
             is_list = True
 
-        points = ensure_numeric(points, Float)
+        points = ensure_numeric(points, num.Float)
 	
         if len(points.shape) == 1:
@@ -202,5 +203,5 @@
             msg = 'Single point must have two elements'
             assert len(points) == 2, msg
-            points = reshape(points, (1,2))
+            points = num.reshape(points, (1,2))
 
         msg = 'Points array must be two dimensional.\n'
@@ -239,5 +240,5 @@
         """
 
-        return allclose([self.xllcorner, self.yllcorner], 0) 
+        return num.allclose([self.xllcorner, self.yllcorner], 0) 
 
         
@@ -255,5 +256,5 @@
             is_list = True
 
-        points = ensure_numeric(points, Float)
+        points = ensure_numeric(points, num.Float)
         if len(points.shape) == 1:
             #One point has been passed
@@ -295,5 +296,5 @@
             is_list = True
 
-        points = ensure_numeric(points, Float)
+        points = ensure_numeric(points, num.Float)
         if len(points.shape) == 1:
             #One point has been passed
Index: /anuga_core/source/anuga/coordinate_transforms/redfearn.py
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/redfearn.py	(revision 6148)
+++ /anuga_core/source/anuga/coordinate_transforms/redfearn.py	(revision 6149)
@@ -8,5 +8,5 @@
 """
 from anuga.coordinate_transforms.geo_reference import Geo_reference, DEFAULT_ZONE
-from Numeric import array
+
 
 def degminsec2decimal_degrees(dd,mm,ss):
Index: /anuga_core/source/anuga/coordinate_transforms/test_geo_reference.py
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/test_geo_reference.py	(revision 6148)
+++ /anuga_core/source/anuga/coordinate_transforms/test_geo_reference.py	(revision 6149)
@@ -7,6 +7,7 @@
 
 from geo_reference import *
-from Numeric import allclose,array
 from anuga.config import netcdf_mode_r, netcdf_mode_w, netcdf_mode_a
+
+import Numeric as num
 
 
@@ -165,14 +166,14 @@
         y = 443.0
         g = Geo_reference(56,x,y)
-        lofl = array([[3.0,323.0], [6.0,645.0]])
+        lofl = num.array([[3.0,323.0], [6.0,645.0]])
         new_lofl = g.change_points_geo_ref(lofl)
         #print "4 lofl",lofl 
         #print "4 new_lofl",new_lofl
 
-        self.failUnless(type(new_lofl) == ArrayType, ' failed')
+        self.failUnless(type(new_lofl) == num.ArrayType, ' failed')
         self.failUnless(type(new_lofl) == type(lofl), ' failed')
         lofl[:,0] -= x
         lofl[:,1] -= y
-        assert allclose(lofl,new_lofl)
+        assert num.allclose(lofl,new_lofl)
         
     def test_change_points_geo_ref5(self):
@@ -180,5 +181,5 @@
         y = 3.0
         g = Geo_reference(56,x,y)
-        lofl = array([[3.0,323.0]])
+        lofl = num.array([[3.0,323.0]])
 
         
@@ -188,5 +189,5 @@
         #print "5 new_lofl",new_lofl
 
-        self.failUnless(type(new_lofl) == ArrayType, ' failed')
+        self.failUnless(type(new_lofl) == num.ArrayType, ' failed')
         self.failUnless(type(new_lofl) == type(lofl), ' failed')
 
@@ -200,10 +201,10 @@
         y = 3.0
         g = Geo_reference(56,x,y)
-        lofl = array([355.0,3.0])
+        lofl = num.array([355.0,3.0])
         new_lofl = g.change_points_geo_ref(lofl.copy())        
         #print "lofl",lofl 
         #print "new_lofl",new_lofl
 
-        self.failUnless(type(new_lofl) == ArrayType, ' failed')
+        self.failUnless(type(new_lofl) == num.ArrayType, ' failed')
         self.failUnless(type(new_lofl) == type(lofl), ' failed')
         for point,new_point in map(None,[lofl],new_lofl):
Index: /anuga_core/source/anuga/coordinate_transforms/test_lat_long_UTM_conversion.py
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/test_lat_long_UTM_conversion.py	(revision 6148)
+++ /anuga_core/source/anuga/coordinate_transforms/test_lat_long_UTM_conversion.py	(revision 6149)
@@ -7,9 +7,11 @@
 
 import unittest
-from Numeric import allclose
 
 from lat_long_UTM_conversion import *
 from redfearn import degminsec2decimal_degrees, decimal_degrees2degminsec
 from anuga.utilities.anuga_exceptions import ANUGAError
+
+import Numeric as num
+
 
 #-------------------------------------------------------------
@@ -28,6 +30,6 @@
         lat = degminsec2decimal_degrees(-37,39,10.15610)
         lon = degminsec2decimal_degrees(143,55,35.38390) 
-        assert allclose(lat, -37.65282114)
-        assert allclose(lon, 143.9264955)
+        assert num.allclose(lat, -37.65282114)
+        assert num.allclose(lon, 143.9264955)
 
 
@@ -35,10 +37,10 @@
 
         assert zone == 54
-        assert allclose(easting, 758173.797)
-        assert allclose(northing, 5828674.340)
+        assert num.allclose(easting, 758173.797)
+        assert num.allclose(northing, 5828674.340)
 
         lat_calced, long_calced = UTMtoLL(northing, easting, zone) 
-        assert allclose(lat,  lat_calced)
-        assert allclose(lon, long_calced)
+        assert num.allclose(lat,  lat_calced)
+        assert num.allclose(lon, long_calced)
 
 
@@ -61,10 +63,10 @@
         
         assert zone == 55
-        assert allclose(easting, 273741.297)
-        assert allclose(northing, 5796489.777)
+        assert num.allclose(easting, 273741.297)
+        assert num.allclose(northing, 5796489.777)
 
         lat_calced, long_calced = UTMtoLL(northing, easting, zone) 
-        assert allclose(lat,  lat_calced)
-        assert allclose(lon, long_calced)
+        assert num.allclose(lat,  lat_calced)
+        assert num.allclose(lon, long_calced)
         
         
@@ -78,6 +80,6 @@
 
         assert zone == 52
-        assert allclose(easting, 555776.267)
-        assert allclose(northing, 3348167.264)
+        assert num.allclose(easting, 555776.267)
+        assert num.allclose(northing, 3348167.264)
 
         Lat, Long = UTMtoLL(northing, easting, zone)
@@ -94,11 +96,11 @@
         
         assert zone == 33
-        assert allclose(easting, 348157.631)
-        assert allclose(northing, 6175612.993) 
+        assert num.allclose(easting, 348157.631)
+        assert num.allclose(northing, 6175612.993) 
 
         lat_calced, long_calced = UTMtoLL(northing, easting, zone,
                                           isSouthernHemisphere=False) 
-        assert allclose(lat,  lat_calced)
-        assert allclose(lon, long_calced)
+        assert num.allclose(lat,  lat_calced)
+        assert num.allclose(lon, long_calced)
 
     def test_UTM_5(self):
@@ -113,10 +115,10 @@
 
         assert zone == 56
-        assert allclose(easting, 308728.009)
-        assert allclose(northing, 6180432.601)
+        assert num.allclose(easting, 308728.009)
+        assert num.allclose(northing, 6180432.601)
 
         lat_calced, long_calced = UTMtoLL(northing, easting, zone) 
-        assert allclose(lat,  lat_calced)
-        assert allclose(lon, long_calced)
+        assert num.allclose(lat,  lat_calced)
+        assert num.allclose(lon, long_calced)
 #-------------------------------------------------------------
 if __name__ == "__main__":
Index: /anuga_core/source/anuga/coordinate_transforms/test_redfearn.py
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/test_redfearn.py	(revision 6148)
+++ /anuga_core/source/anuga/coordinate_transforms/test_redfearn.py	(revision 6149)
@@ -7,8 +7,10 @@
 
 import unittest
-from Numeric import allclose
 
 from redfearn import *
 from anuga.utilities.anuga_exceptions import ANUGAError
+
+import Numeric as num
+
 
 #-------------------------------------------------------------
@@ -19,16 +21,16 @@
         lat = degminsec2decimal_degrees(-37,39,10.15610)
         lon = degminsec2decimal_degrees(143,55,35.38390) 
-        assert allclose(lat, -37.65282114)
-        assert allclose(lon, 143.9264955)
+        assert num.allclose(lat, -37.65282114)
+        assert num.allclose(lon, 143.9264955)
 
         dd,mm,ss = decimal_degrees2degminsec(-37.65282114)
         assert dd==-37
         assert mm==39
-        assert allclose(ss, 10.15610)
+        assert num.allclose(ss, 10.15610)
 
         dd,mm,ss = decimal_degrees2degminsec(143.9264955)
         assert dd==143
         assert mm==55
-        assert allclose(ss, 35.38390) 
+        assert num.allclose(ss, 35.38390) 
 
 
@@ -44,6 +46,6 @@
         lat = degminsec2decimal_degrees(-37,39,10.15610)
         lon = degminsec2decimal_degrees(143,55,35.38390) 
-        assert allclose(lat, -37.65282114)
-        assert allclose(lon, 143.9264955)
+        assert num.allclose(lat, -37.65282114)
+        assert num.allclose(lon, 143.9264955)
 
 
@@ -51,6 +53,6 @@
 
         assert zone == 54
-        assert allclose(easting, 758173.797)
-        assert allclose(northing, 5828674.340)
+        assert num.allclose(easting, 758173.797)
+        assert num.allclose(northing, 5828674.340)
 
 
@@ -72,6 +74,6 @@
 
         assert zone == 55
-        assert allclose(easting, 273741.297)
-        assert allclose(northing, 5796489.777)
+        assert num.allclose(easting, 273741.297)
+        assert num.allclose(northing, 5796489.777)
 
         
@@ -85,6 +87,6 @@
 
         assert zone == 52
-        assert allclose(easting, 555776.267)
-        assert allclose(northing, 3348167.264)
+        assert num.allclose(easting, 555776.267)
+        assert num.allclose(northing, 3348167.264)
 
 
@@ -101,6 +103,6 @@
 
         assert zone == 33
-        assert allclose(easting, 348157.631)
-        assert allclose(northing, 6175612.993) 
+        assert num.allclose(easting, 348157.631)
+        assert num.allclose(northing, 6175612.993) 
 
 
@@ -116,6 +118,6 @@
 
         assert zone == 56
-        assert allclose(easting, 308728.009)
-        assert allclose(northing, 6180432.601)
+        assert num.allclose(easting, 308728.009)
+        assert num.allclose(northing, 6180432.601)
 
     def test_UTM_6_nonstandard_projection(self):
@@ -126,6 +128,6 @@
 
         assert zone == 50
-        assert allclose(easting, 213251.040253)
-        assert allclose(northing, 6762559.15978)
+        assert num.allclose(easting, 213251.040253)
+        assert num.allclose(northing, 6762559.15978)
 
         #Testing using the native zone
@@ -133,6 +135,6 @@
 
         assert zone == 50
-        assert allclose(easting, 213251.040253)
-        assert allclose(northing, 6762559.15978)
+        assert num.allclose(easting, 213251.040253)
+        assert num.allclose(northing, 6762559.15978)
 
         #Then project to zone 49
@@ -140,6 +142,6 @@
 
         assert zone == 49
-        assert allclose(easting, 796474.020057)
-        assert allclose(northing, 6762310.25162)
+        assert num.allclose(easting, 796474.020057)
+        assert num.allclose(northing, 6762310.25162)
 
        
@@ -151,6 +153,6 @@
 
         assert zone == 49
-        assert allclose(easting, 788653.192779)
-        assert allclose(northing, 6773605.46384)
+        assert num.allclose(easting, 788653.192779)
+        assert num.allclose(northing, 6773605.46384)
 
         #Then project to zone 50
@@ -158,6 +160,6 @@
 
         assert zone == 50
-        assert allclose(easting, 204863.606467)
-        assert allclose(northing, 6773440.04726)
+        assert num.allclose(easting, 204863.606467)
+        assert num.allclose(northing, 6773440.04726)
 
         #Testing point on zone boundary
@@ -166,6 +168,6 @@
 
         assert zone == 50
-        assert allclose(easting, 208199.768268)
-        assert allclose(northing, 6769820.01453)
+        assert num.allclose(easting, 208199.768268)
+        assert num.allclose(northing, 6769820.01453)
 
         #Then project to zone 49
@@ -173,6 +175,6 @@
 
         assert zone == 49
-        assert allclose(easting, 791800.231817)
-        assert allclose(northing, 6769820.01453)
+        assert num.allclose(easting, 791800.231817)
+        assert num.allclose(northing, 6769820.01453)
 
         #Testing furthest point in Geraldton scenario)
@@ -181,6 +183,6 @@
 
         assert zone == 49
-        assert allclose(easting, 737178.16131)
-        assert allclose(northing, 6876426.38578)
+        assert num.allclose(easting, 737178.16131)
+        assert num.allclose(northing, 6876426.38578)
 
         #Then project to zone 50
@@ -188,6 +190,6 @@
 
         assert zone == 50
-        assert allclose(easting, 148260.567427)
-        assert allclose(northing, 6873587.50926)
+        assert num.allclose(easting, 148260.567427)
+        assert num.allclose(northing, 6873587.50926)
 
         #Testing outside GDA zone (New Zeland)
@@ -196,6 +198,6 @@
 
         assert zone == 60
-        assert allclose(easting, 580174.259843)
-        assert allclose(northing, 5127641.114461)
+        assert num.allclose(easting, 580174.259843)
+        assert num.allclose(northing, 5127641.114461)
 
         #Then project to zone 59
@@ -203,6 +205,6 @@
 
         assert zone == 59
-        assert allclose(easting, 1061266.922118)
-        assert allclose(northing, 5104249.395469)
+        assert num.allclose(easting, 1061266.922118)
+        assert num.allclose(northing, 5104249.395469)
 
         #Then skip three zones 57 (native 60)
@@ -210,6 +212,6 @@
 
         assert zone == 57
-        assert allclose(easting, 2023865.527497)
-        assert allclose(northing, 4949253.934967)
+        assert num.allclose(easting, 2023865.527497)
+        assert num.allclose(northing, 4949253.934967)
 
         # Note Projecting into the Northern Hemisphere Does not coincide
@@ -227,11 +229,11 @@
         # Google Earth interpretation
         assert zone == 57
-        assert allclose(easting, 259473.69)
-        assert allclose(northing, 4876249.13)
+        assert num.allclose(easting, 259473.69)
+        assert num.allclose(northing, 4876249.13)
 
         # ArcMap's interpretation
         #assert zone == 57        
-        #assert allclose(easting, 259473.678944)
-        #assert allclose(northing, 14876249.1268)
+        #assert num.allclose(easting, 259473.678944)
+        #assert num.allclose(northing, 14876249.1268)
         
         #Then project to zone 56
@@ -239,6 +241,6 @@
 
         assert zone == 56
-        assert allclose(easting, 740526.321055)
-        assert allclose(northing, 4876249.13)
+        assert num.allclose(easting, 740526.321055)
+        assert num.allclose(northing, 4876249.13)
 
         
@@ -283,8 +285,8 @@
         points, zone = convert_from_latlon_to_utm(latitudes=lats, longitudes=longs)
 
-        assert allclose(points[0][0], 308728.009)
-        assert allclose(points[0][1], 6180432.601)
-        assert allclose(points[1][0],  222908.705)
-        assert allclose(points[1][1], 6233785.284)
+        assert num.allclose(points[0][0], 308728.009)
+        assert num.allclose(points[0][1], 6180432.601)
+        assert num.allclose(points[1][0],  222908.705)
+        assert num.allclose(points[1][1], 6233785.284)
         self.failUnless(zone == 56,
                         'Bad zone error!')
@@ -355,8 +357,8 @@
         points, zone = convert_from_latlon_to_utm(points=points)
         #print "points",points 
-        assert allclose(points[0][0], 308728.009)
-        assert allclose(points[0][1], 6180432.601)
-        assert allclose(points[1][0],  222908.705)
-        assert allclose(points[1][1], 6233785.284)
+        assert num.allclose(points[0][0], 308728.009)
+        assert num.allclose(points[0][1], 6180432.601)
+        assert num.allclose(points[1][0],  222908.705)
+        assert num.allclose(points[1][1], 6233785.284)
         self.failUnless(zone == 56,
                         'Bad zone error!')