Index: /anuga_core/source/anuga/pmesh/mesh.py
===================================================================
--- /anuga_core/source/anuga/pmesh/mesh.py	(revision 6155)
+++ /anuga_core/source/anuga/pmesh/mesh.py	(revision 6156)
@@ -22,5 +22,4 @@
 import types
 import exceptions
-from Numeric import array, Float, Int
 
 
Index: /anuga_core/source/anuga/pmesh/mesh_interface.py
===================================================================
--- /anuga_core/source/anuga/pmesh/mesh_interface.py	(revision 6155)
+++ /anuga_core/source/anuga/pmesh/mesh_interface.py	(revision 6156)
@@ -3,5 +3,5 @@
 from anuga.utilities.polygon import  point_in_polygon ,populate_polygon
 from anuga.utilities.numerical_tools import ensure_numeric
-from Numeric import Float
+import Numeric as num
 from anuga.utilities.polygon import inside_polygon
 
@@ -150,5 +150,5 @@
 
     # Simple check
-    bounding_polygon = ensure_numeric(bounding_polygon, Float)
+    bounding_polygon = ensure_numeric(bounding_polygon, num.Float)
     msg = 'Bounding polygon must be a list of points or an Nx2 array'
     assert len(bounding_polygon.shape) == 2, msg
Index: /anuga_core/source/anuga/pmesh/test_mesh.py
===================================================================
--- /anuga_core/source/anuga/pmesh/test_mesh.py	(revision 6155)
+++ /anuga_core/source/anuga/pmesh/test_mesh.py	(revision 6156)
@@ -15,5 +15,5 @@
 from anuga.utilities.polygon import  is_inside_polygon ### inside_polygon
 
-from Numeric import alltrue, allclose
+import Numeric as num
 
 class meshTestCase(unittest.TestCase):
@@ -1658,10 +1658,10 @@
                          'test_Mesh2IOTriangulationDict failed. test 2')
 
-        self.failUnless( alltrue(dict['vertices'].flat == verts.flat),
+        self.failUnless(num.alltrue(dict['vertices'].flat == verts.flat),
                          'test_Mesh2IOTriangulationDict failed. test vert')
-        self.failUnless( alltrue(dict['vertex_attributes'].flat == vert_as.flat),
+        self.failUnless(num.alltrue(dict['vertex_attributes'].flat == vert_as.flat),
                          'test_Mesh2IOTriangulationDict failed. test vert ats')
 
-        self.failUnless( alltrue(dict['segments'][0] == [0,1]),
+        self.failUnless(num.alltrue(dict['segments'][0] == [0,1]),
                         'test_Mesh2IODict failed. test 3')
         
@@ -1669,7 +1669,7 @@
                         'test_Mesh2IODict failed. test 3')
         #print " dict['triangles'][0]", dict['triangles'][0] 
-        self.failUnless( alltrue(dict['triangles'][0] == [3,2,4]),
+        self.failUnless(num.alltrue(dict['triangles'][0] == [3,2,4]),
                         'test_Mesh2IODict failed. test 5')
-        self.failUnless( alltrue(dict['triangle_neighbors'][0] == [-1,2,3]),
+        self.failUnless(num.alltrue(dict['triangle_neighbors'][0] == [-1,2,3]),
                         'test_Mesh2IODict failed. test 6')
         #print "dict['triangle_tags'][0]", dict['triangle_tags'][0]
@@ -2181,5 +2181,5 @@
         vert= m.get_user_vertices(absolute=True)
         
-        self.failUnless(allclose(vert, points_ab),
+        self.failUnless(num.allclose(vert, points_ab),
                         'FAILED!')        
 
@@ -2198,5 +2198,5 @@
         vert = m.get_user_vertices(absolute=True)
         
-        self.failUnless(alltrue(vert.flat == array(points).flat),
+        self.failUnless(num.alltrue(vert.flat == num.array(points).flat),
                         'FAILED!')
     
@@ -2216,5 +2216,5 @@
         vert= m.get_user_vertices(absolute=True)
         
-        self.failUnless(allclose(vert, points_ab),
+        self.failUnless(num.allclose(vert, points_ab),
                         'FAILED!')
 
@@ -2233,5 +2233,5 @@
         vert= m.get_user_vertices(absolute=True)
         
-        self.failUnless(allclose(vert, points_ab),
+        self.failUnless(num.allclose(vert, points_ab),
                         'FAILED!')
 
@@ -2254,10 +2254,10 @@
                         'FAILED!')
         vert= m.get_user_vertices(absolute=True)
-        self.failUnless(allclose(vert, points_ab),
+        self.failUnless(num.allclose(vert, points_ab),
                         'FAILED!')
         vert= m.get_user_vertices(absolute=False)
         points_new = m.geo_reference.get_absolute(vert)
         
-        self.failUnless(allclose(points_ab, points_new),
+        self.failUnless(num.allclose(points_ab, points_new),
                         'FAILED!')
 
Index: /anuga_core/source/anuga/pmesh/view_tsh.py
===================================================================
--- /anuga_core/source/anuga/pmesh/view_tsh.py	(revision 6155)
+++ /anuga_core/source/anuga/pmesh/view_tsh.py	(revision 6156)
@@ -11,5 +11,4 @@
 from anuga.pyvolution.util import file_function
 from anuga.utilities.polygon import Polygon_function, read_polygon
-from Numeric import zeros, Float, maximum, minimum
 from realtime_visualisation_new import *
 